org.apache.commons.lang3.time

## Class CalendarUtils

- java.lang.Object
- - org.apache.commons.lang3.time.CalendarUtils

-     public class CalendarUtils
      extends Object

  Helps use `Calendar`s.
  Since:
    3.10

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CalendarUtils` | `INSTANCE` The singleton instance for `Calendar.getInstance()`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarUtils(Calendar calendar)` Creates an instance for the given Calendar.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDayOfMonth()` Gets the current day of month.
    `int` | `getDayOfYear()` Gets the current day of year.
    `int` | `getMonth()` Gets the current month.
    `int` | `getYear()` Gets the current year.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CalendarUtils INSTANCE

      The singleton instance for `Calendar.getInstance()`.

  - ### Constructor Detail

    - #### CalendarUtils

          public CalendarUtils(Calendar calendar)

      Creates an instance for the given Calendar.
      Parameters:
        `calendar` - A Calendar.

  - ### Method Detail

    - #### getDayOfMonth

          public int getDayOfMonth()

      Gets the current day of month.
      Returns:
        the current day of month.

    - #### getDayOfYear

          public int getDayOfYear()

      Gets the current day of year.
      Returns:
        the current day of year.
      Since:
        3.13.0

    - #### getMonth

          public int getMonth()

      Gets the current month.
      Returns:
        the current month.

    - #### getYear

          public int getYear()

      Gets the current year.
      Returns:
        the current year.

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.